
QGIS Application - Bug report #299

change layer name everywhere, no matter what way this change is triggered

2006-09-23 03:34 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Map Legend

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10358

Description

Changing the layer name via [Properties -> General -> Display name] affects both the layer name displayed in the layer list and the layer

in [Map composer] legend

But changing the layer name via [Rename] (right click on the layer in the list, or F2) changes the name only in the layer list - the [Display

name] in the [Properties -> General] remains unchanged, and so does the layer name in the [Map composer] legend.

It should be fixed, so that both methods change the layer name everywhere.

Maciek

History

#1 - 2006-09-23 03:25 PM - Gavin Macaulay -

A fix for this sort of problem was done in commit:76a2a8be (SVN r5860), and the latest checked out copy of qgis works correctly for me. Can you try the

most recent version of qgis and close this bug if the problem has gone?

#2 - 2006-09-24 03:08 AM - Redmine Admin

- Resolution set to fixed

- Status changed from Open to Closed

Fixed indeed. Closing it.

Thanks.

Maciek

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
